2010-05-21  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Add missing dist file.

2010-05-11  Lluis Sanchez Gual  <lluis@novell.com>

	* cecil.snk:
	* Makefile.am:
	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.csproj: Sign Mono.Cecil.

2010-01-15  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* Mono.Cecil.csproj: Fix the Cecil decompiler in the build.
	  Make building MD with Makefiles work again, and puts the
	  decompiler properly in its own dll instead of merging it
	  into a franken-Cecil.

2010-01-15  Mike Krüger  <mkrueger@novell.com>

	* Cecil.Decompiler:
	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.csproj:
	* Cecil.Decompiler/Cecil.Decompiler:
	* Cecil.Decompiler/Cecil.Decompiler.Ast:
	* Cecil.Decompiler/Cecil.Decompiler.Cil:
	* Cecil.Decompiler/Cecil.Decompiler.Steps:
	* Cecil.Decompiler/Cecil.Decompiler.csproj:
	* Cecil.Decompiler/Cecil.Decompiler.Pattern:
	* Cecil.Decompiler/Cecil.Decompiler.Languages:
	* Cecil.Decompiler/Cecil.Decompiler.ControlFlow:
	* Cecil.Decompiler/Cecil.Decompiler/Extensions.cs:
	* Cecil.Decompiler/Cecil.Decompiler/Annotations.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/Statement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ICodeNode.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/Formatter.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/Matcher.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/SwitchCase.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/BlockRange.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/Extensions.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/Expression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/IfStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/DefaultCase.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/CatchClause.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/CodeNodeType.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/TryStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/TypeOfStep.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ICodeVisitor.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ForStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/CSharp.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/GotoStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/UnaryOperator.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/CanCastStep.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ConditionCase.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/PropertyStep.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BreakStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BlockStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler/BlockOptimizations.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/OperatorStep.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/WhileStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BinaryOperator.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/CastExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ThrowStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BaseCodeVisitor.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ReturnStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/SwitchStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/UnaryExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BlockExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/InstructionData.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/ILanguage.cs:
	* Cecil.Decompiler/Cecil.Decompiler/StatementDecompiler.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/LabeledStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/DoWhileStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/ControlFlowGraph.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ICodeTransformer.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/IFormatter.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/SelfAssignment.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/AssignExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/TypeOfExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/InstructionBlock.cs:
	* Cecil.Decompiler/Cecil.Decompiler/ExpressionDecompiler.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BinaryExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler/DecompilationContext.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ForEachStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/CanCastExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ContinueStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler/DecompilationPipeline.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/LiteralExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/CSharpWriter.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/RemoveLastReturn.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/SafeCastExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BaseCodeTransformer.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/AddressOfExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Pattern/PatternMatching.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/IInstructionVisitor.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/StatementCollection.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ExpressionStatement.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ConditionExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/ExceptionHandlerData.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/IDecompilationStep.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/SwitchCaseCollection.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ExpressionCollection.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/CatchClauseCollection.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/InstructionDispatcher.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/ILanguageWriter.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ArrayIndexerExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/NullCoalesceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/BaseInstructionVisitor.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/RebuildForStatements.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/TypeReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ThisReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ArrayCreationExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/BaseReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Cil/ControlFlowGraphBuilder.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/FieldReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/PlainTextFormatter.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Languages/BaseLanguageWriter.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ObjectCreationExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/MethodReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/DeclareTopLevelVariables.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/RebuildForeachStatements.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/AddressReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/MethodInvocationExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/DelegateCreationExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/VariableReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/PropertyReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/ArgumentReferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/AddressDereferenceExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/DelegateInvocationExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Ast/VariableDeclarationExpression.cs:
	* Cecil.Decompiler/Cecil.Decompiler.Steps/DeclareVariablesOnFirstAssignment.cs:
	  Added Cecil decompiler.

2009-12-16  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil.csproj:
	* Mono.Cecil/Makefile:
	* Mono.Cecil/ChangeLog:
	* Mono.Cecil.Mdb.csproj:
	* Mono.Cecil/Mono.Cecil.csproj:
	* Mono.Cecil.Mdb/Mono.Cecil.MdbOld:
	* Mono.Cecil/Mono.Cecil/CallSite.cs:
	* Mono.Cecil/Mono.Cecil.dll.sources:
	* Mono.CompilerServices.SymbolWriterOld:
	* Mono.Cecil/Mono.Cecil/IHasSecurity.cs:
	* Mono.Cecil/Mono.Cecil/AssemblyInfo.cs:
	* Mono.Cecil/Mono.Cecil/TargetRuntime.cs:
	* Mono.Cecil/Mono.Cecil/TypeReference.cs:
	* Mono.Cecil/Mono.Cecil/EventReference.cs:
	* Mono.Cecil/Mono.Cecil/TypeDefinition.cs:
	* Mono.Cecil/Mono.Cecil.Cil/CodeReader.cs:
	* Mono.Cecil/Mono.Cecil/FieldReference.cs:
	* Mono.Cecil/Mono.Cecil.Cil/MethodBody.cs:
	* Mono.Cecil/Mono.Cecil.Cil/CodeWriter.cs:
	* Mono.Cecil/Mono.Cecil/EventDefinition.cs:
	* Mono.Cecil/Mono.Cecil/StructureReader.cs:
	* Mono.Cecil/Mono.Cecil/MethodReference.cs:
	* Mono.Cecil/Mono.Cecil/AssemblyFactory.cs:
	* Mono.Cecil/Mono.Cecil/DefaultImporter.cs:
	* Mono.Cecil/Mono.Cecil/FieldDefinition.cs:
	* Mono.Cecil/Mono.Cecil/StructureWriter.cs:
	* Mono.Cecil/Mono.Cecil/IGenericInstance.cs:
	* Mono.Cecil/Mono.Cecil/MethodDefinition.cs:
	* Mono.Cecil/Mono.Cecil/IMethodSignature.cs:
	* Mono.Cecil/Mono.Cecil/ModuleDefinition.cs:
	* Mono.Cecil/Mono.Cecil/GenericParameter.cs:
	* Mono.Cecil.Mdb/Mono.Cecil.Mdb.dll.sources:
	* Mono.Cecil/Mono.Cecil/MethodAttributes.cs:
	* Mono.Cecil/Mono.Cecil/ReflectionWriter.cs:
	* Mono.Cecil/Mono.Cecil/ReflectionHelper.cs:
	* Mono.Cecil/Mono.Cecil/MethodReturnType.cs:
	* Mono.Cecil/Mono.Cecil/MetadataResolver.cs:
	* Mono.Cecil/Mono.Cecil/AssemblyStripper.cs:
	* Mono.Cecil/Mono.Cecil/ReflectionReader.cs:
	* Mono.Cecil.Mdb/Mono.Cecil.Mdb/MdbWriter.cs:
	* Mono.Cecil/Mono.Cecil/IMemberDefinition.cs:
	* Mono.Cecil/Mono.Cecil.Cil/ISymbolWriter.cs:
	* Mono.Cecil/Mono.Cecil/PropertyReference.cs:
	* Mono.Cecil/Mono.Cecil.Metadata/BlobHeap.cs:
	* Mono.Cecil/Mono.Cecil/PropertyDefinition.cs:
	* Mono.Cecil/Mono.Cecil/ParameterReference.cs:
	* Mono.Cecil/Mono.Cecil.Binary/ImageWriter.cs:
	* Mono.Cecil/Mono.Cecil.Metadata/Utilities.cs:
	* Mono.Cecil/Mono.Cecil/AssemblyDefinition.cs:
	* Mono.Cecil/Mono.Cecil.Binary/ImageReader.cs:
	* Mono.Cecil.Mdb/Mono.Cecil.Mdb/MdbFactory.cs:
	* Mono.Cecil/Mono.Cecil.Binary/RuntimeImage.cs:
	* Mono.Cecil/Mono.Cecil/MethodSpecification.cs:
	* Mono.Cecil/Mono.Cecil/GenericInstanceType.cs:
	* Mono.Cecil/Mono.Cecil/ParameterAttributes.cs:
	* Mono.Cecil/Mono.Cecil/FunctionPointerType.cs:
	* Mono.Cecil/Mono.Cecil/ParameterDefinition.cs:
	* Mono.Cecil.Mdb/Mono.Cecil.MdbOld/MdbWriter.cs:
	* Mono.Cecil/Mono.Cecil.Metadata/StringsHeap.cs:
	* Mono.Cecil.Mdb/Mono.Cecil.MdbOld/MdbReader.cs:
	* Mono.Cecil/Mono.Cecil/BaseAssemblyResolver.cs:
	* Mono.Cecil/Mono.Cecil/ExternTypeCollection.cs:
	* Mono.Cecil.Mdb/Mono.Cecil.MdbOld/MdbFactory.cs:
	* Mono.Cecil/Mono.Cecil/GenericInstanceMethod.cs:
	* Mono.Cecil/Mono.Cecil.Cil/VariableReference.cs:
	* Mono.Cecil/Mono.Cecil.Cil/SymbolStoreHelper.cs:
	* Mono.Cecil/Mono.Cecil/ConstructorCollection.cs:
	* Mono.Cecil/Mono.Cecil.Cil/VariableDefinition.cs:
	* Mono.Cecil/Mono.Cecil.Metadata/MetadataWriter.cs:
	* Mono.Cecil/Mono.Cecil.Signatures/CustomAttrib.cs:
	* Mono.Cecil/Mono.Cecil/ICustomAttributeProvider.cs:
	* Mono.Cecil/Mono.Cecil.Metadata/UserStringsHeap.cs:
	* Mono.Cecil/Mono.Cecil.Binary/MemoryBinaryWriter.cs:
	* Mono.Cecil/Mono.Cecil/IGenericParameterProvider.cs:
	* Mono.Cecil/Mono.Cecil/SecurityDeclarationReader.cs:
	* Mono.Cecil/Mono.Cecil.Signatures/SignatureReader.cs:
	* Mono.Cecil/Mono.Cecil/SecurityDeclarationCollection.cs:
	* Mono.CompilerServices.SymbolWriterOld/MonoSymbolFile.cs:
	* Mono.CompilerServices.SymbolWriterOld/MonoSymbolTable.cs:
	* Mono.CompilerServices.SymbolWriterOld/MonoSymbolWriter.cs:
	* Mono.CompilerServices.SymbolWriterOld/SymbolWriterImpl.cs:
	  Updated Cecil. Removed old symbol writer.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.csproj: Flush.

2009-05-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil\Mono.Cecil\BaseAssemblyResolver.cs: Allow .net
	  4.0 assemblies.

2009-05-07  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil.csproj: Disable overflow checking.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.csproj: Flush.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Mono.Cecil.Mdb.csproj: Add System reference, since csc is
	  pickier about implicit references.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.csproj: Do the Cecil build directly instead
	  of invoking makefiles, so that MD can be built with MSBuild.

2009-02-07  Mike Krüger  <mkrueger@novell.com>

	* Mono.CompilerServices.SymbolWriter/SymbolWriterImpl.cs:
	  fixed warnings.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.csproj: More flush.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* Mono.Cecil.mdp:
	* Mono.Cecil.csproj:
	* Mono.Cecil.Mdb.mdp:
	* Mono.Cecil.Mdb.csproj: Migrated to MSBuild file format.

